# FWDekker Template
The base template for pages on fwdekker.com.

This module contains templating functions (e.g. `header`, `footer`), CSS libraries, and some common utility methods that
are used on nearly all pages anyway.


## Development
### Requirements
* [npm](https://www.npmjs.com/)

### Setting up
```shell script
# Install dependencies (only needed once)
$> npm ci
```

### Building
```shell script
# Build the template in `dist/` for development
$> npm run dev
# Run the `dev` task and automatically rerun it whenever files are changed
$> npm run dev:server
# Build the template in `dist/` for deployment
$> npm run deploy
```
